import React from 'react'
import { translate } from 'cozy-ui/react/I18n'
import { FluidType } from 'enum/fluid.enum'
import { TimeStep } from 'services/dataConsumptionContracts'

interface LastDataConsumptionVisualizerProps {
  fluidTypes: FluidType[]
  timeStep: TimeStep
  multiFluid: boolean
  handleChangeIndex: (index: number) => void
  t: Function // translation service
}
const LastDataConsumptionVisualizer = ({
  handleChangeIndex,
  t,
}: LastDataConsumptionVisualizerProps) => {
  return (
    <div>
      <button className="cv-button" onClick={() => handleChangeIndex(0)}>
        {t('CONSUMPTION.DISPLAY_LAST_DATA')}
      </button>
    </div>
  )
}

export default translate()(LastDataConsumptionVisualizer)
