import { QueryDefinitionBuilder } from 'cozy-client'

export const GRDF_DAY_DOCTYPE = 'io.grdf.day'

export type GrdfDay = {
  time: string
  load: string
}

export function isGrdfDay(day: any): day is GrdfDay {
  return day && 'time' in day && 'load' in day
}

export function isGrdfData(data: any[]): data is GrdfDay[] {
  return data.every(isGrdfDay)
}

// queries for CozyClient
export const grdfQueryClient: QueryDefinitionBuilder = client =>
  client.find(GRDF_DAY_DOCTYPE)
